MarinerWrtStruct Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MarinerWrtStruct Struct Reference

Internal: a struct used to read some field. More...

`#include <MarinerWrtParser.hxx>`

## Public Member Functions
| MarinerWrtStruct ()
| constructor More...
int | numValues () const
| returns the number of values More...
bool | isBasic () const
| returns true if this corresponds to a simple container More...
long | value (int i) const
| returns the ith value (or 0 if it does not exists ) More...

## Public Attributes
long | m_filePos
| the file position where the field description begin More...
MWAWEntry | m_pos
| the file data position (for type=0 data ) More...
int | m_type
| the data type More...
std::vector< long > | m_data
| the data block More...

## Friends
std::ostream & | operator<< (std::ostream &o, MarinerWrtStruct const &dt)
| operator<< More...

## Detailed Description

Internal: a struct used to read some field.

## Constructor & Destructor Documentation

MarinerWrtStruct::MarinerWrtStruct | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool MarinerWrtStruct::isBasic | ( |  | ) | const
| inline

returns true if this corresponds to a simple container

Referenced by MarinerWrtParser::readDocInfo(), MarinerWrtText::readFonts(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readTextStruct(), MarinerWrtGraph::readToken(), MarinerWrtParser::readZone13(), MarinerWrtParser::readZoneb(), MarinerWrtParser::readZonec(), MarinerWrtParser::readZoneDim(), and MarinerWrtParser::readZoneHeader().

int MarinerWrtStruct::numValues | ( |  | ) | const
| inline

returns the number of values

Referenced by MarinerWrtText::readFontNames().

long MarinerWrtStruct::value | ( | int | i | ) | const

returns the ith value (or 0 if it does not exists )

Referenced by MarinerWrtParser::readDocInfo(), MarinerWrtText::readFontNames(), MarinerWrtText::readFonts(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readTextStruct(), MarinerWrtGraph::readToken(), MarinerWrtParser::readZone13(), MarinerWrtParser::readZoneb(), MarinerWrtParser::readZonec(), MarinerWrtParser::readZoneDim(), and MarinerWrtParser::readZoneHeader().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MarinerWrtStruct const & | dt
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<long> MarinerWrtStruct::m_data

the data block

Referenced by MarinerWrtParser::decodeZone(), isBasic(), numValues(), operator<<(), MarinerWrtParser::readSeparator(), and value().

long MarinerWrtStruct::m_filePos

the file position where the field description begin

Referenced by MarinerWrtParser::decodeZone(), and MarinerWrtParser::readZone().

MWAWEntry MarinerWrtStruct::m_pos

the file data position (for type=0 data )

Referenced by MarinerWrtParser::decodeZone(), operator<<(), MarinerWrtText::readFontNames(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readStyleNames(), MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), MarinerWrtText::readZone(), and MarinerWrtParser::readZone13().

int MarinerWrtStruct::m_type

the data type

Referenced by MarinerWrtParser::decodeZone(), isBasic(), operator<<(), MarinerWrtText::readFontNames(), MarinerWrtGraph::readPostscript(), MarinerWrtText::readRulers(), MarinerWrtText::readStyleNames(), MarinerWrtGraph::readToken(), MarinerWrtGraph::readTokenBlock0(), MarinerWrtText::readZone(), and MarinerWrtParser::readZone13().

The documentation for this struct was generated from the following files:

- MarinerWrtParser.hxx
- MarinerWrtParser.cxx